<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- expected param: patient (this patient must extends AbstractPatient), codeProvider: the name of the bean which implement DemographicCodeProvider interface -->
    <s:div styleClass="gzl-alert-orange" rendered="#{empty patient.addressList}">
        <h:outputText value="#{messages['net.ihe.gazelle.patgen.NoAddressKnownForThisPatient']}"/>
    </s:div>
    <s:div id="showAbstractPatientAddress" rendered="#{not empty patient.addressList}">
        <a4j:repeat value="#{patient.addressList}" var="addr">
            <gri:panel>
                <f:facet name="header">
                    <h:outputText value="#{addr.addressType.label}" rendered="#{not empty addr.addressType}"/>
                    <h:outputText value="#{messages['gazelle.simulator.PatientGeneration.Address']}" rendered="#{empty addr.addressType}"/>
                    <s:span styleClass="fa fa-star" rendered="#{addr.mainAddress}" title="Preferred address"/>
                </f:facet>
                <ui:include src="/patient/addressDisplay.xhtml">
                    <ui:param name="addr" value="#{addr}"/>
                </ui:include>
            </gri:panel>
        </a4j:repeat>
    </s:div>
</ui:composition>
